package de.ivu.elect.business.system.entity;

import org.hibernate.stat.SecondLevelCacheStatistics;

public class ActivatedHibernateSecondLevelCacheStatistik extends HibernateSecondLevelCacheStatistik {

  private final SecondLevelCacheStatistics statistics;

  public ActivatedHibernateSecondLevelCacheStatistik(String name, SecondLevelCacheStatistics statistics) {
    super(name);
    this.statistics = statistics;
  }


  @Override
  public long getSizeInMemory() {
    return statistics.getSizeInMemory();
  }

  @Override
  public long getElementCountOnDisk() {
    return statistics.getElementCountOnDisk();
  }

  @Override
  public long getElementCountInMemory() {
    return statistics.getElementCountInMemory();
  }

  @Override
  public long getPutCount() {
    return statistics.getPutCount();
  }

  @Override
  public long getMissCount() {
    return statistics.getMissCount();
  }

  @Override
  public long getHitCount() {
    return statistics.getHitCount();
  }

}
